# I3DShClip Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShClip:

List of all members.

## Public Member Functions
virtual MicroTick MCCOMAPI | GetDuration ()=0
virtual int32 MCCOMAPI | GetAttributesCount ()=0
virtual I3DShParamInfo *MCCOMAPI | GetAttribute (I3DShAttributesSet *attributeSet, int32 index, I3DShParamInfo *lastParam)=0
virtual void MCCOMAPI | SetTime (MicroTick time)=0
virtual void MCCOMAPI | GetAttributeValue (int32 paramIndex, TParamHolder &outValue)=0
virtual void MCCOMAPI | GetClipIcon (TMCOffscreen *outOffscreen)=0

## Detailed Description

There are two interfaces to access a component: The shell interface (I3DShClip) and the external interface (I3DExClip). You can get one from the other using QueryInterface.

See also:
  I3DExClip

## Member Function Documentation

virtual I3DShParamInfo* MCCOMAPI I3DShClip::GetAttribute | ( | I3DShAttributesSet * | attributeSet,
|  | int32 | index,
|  | I3DShParamInfo * | lastParam |
| ) |  |  | `[pure virtual]`

Returns an attribute of this clip.

Parameters:

  | attributeSet | Attributes set to be used.
  | index | Index of the parameter in this clip.

virtual int32 MCCOMAPI I3DShClip::GetAttributesCount | ( |  | ) | `[pure virtual]`

Returns the number of attributes stored in this clip.

virtual void MCCOMAPI I3DShClip::GetAttributeValue | ( | int32 | paramIndex,
|  | TParamHolder & | outValue |
| ) |  |  | `[pure virtual]`

Get the value of one of the attribute.

Parameters:

  | paramIndex | The index of the attribute in the clip.
  | outValue | Returned value.

virtual void MCCOMAPI I3DShClip::GetClipIcon | ( | TMCOffscreen * | outOffscreen | ) | `[pure virtual]`

Returns the image to be used as the icon for the clip.

Parameters:

  | outOffscreen | The offscreen to fill.

virtual MicroTick MCCOMAPI I3DShClip::GetDuration | ( |  | ) | `[pure virtual]`

Returns the duration of the clip in micro tick.

virtual void MCCOMAPI I3DShClip::SetTime | ( | MicroTick | time | ) | `[pure virtual]`

Set the time for this clip.

Parameters:

  | time | New time.

The documentation for this struct was generated from the following file:

- I3DShClip.h